REST API v1
Batch conversion
Convert multiple legal land descriptions or coordinate pairs in one request.
On this page
Batch Processing
Convert up to 100 legal land descriptions in a single request.
Example request
cURL
curl -X POST "https://developer.townshipcanada.com/batch/legal-location" \
-H "X-API-Key: $TOWNSHIP_API_KEY" \
-H "Content-Type: application/json" \
--data '["NE-7-102-19-W4", "1-24-60-1-W5", "7-66-4-W6"]'Request Body (JSON Array)
request.json
["NE-7-102-19-W4", "1-24-60-1-W5", "7-66-4-W6"]Example request
cURL
curl -X POST "https://developer.townshipcanada.com/batch/coordinates" \
-H "X-API-Key: $TOWNSHIP_API_KEY" \
-H "Content-Type: application/json" \
--data '{ "coordinates": [[-110.08, 54.28], [-114.07, 51.04]], "unit": "Quarter Section" }'Request Body (JSON Object)
request.json
{ "coordinates": [[-110.08, 54.28], [-114.07, 51.04]], "unit": "Quarter Section" }